Subject: Re: [PATCH net-next v2] net: phy: realtek: support MDI swapping for RTL8226-CG

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 31 Mar 2026 14:38:02 +0100

On Fri, Mar 27, 2026 at 08:32:28PM +0100, Jan Hoffmann wrote:
> +static int rtl8226_config_init(struct phy_device *phydev)
> +{
> +	int ret;
> +
> +	ret = rtl8226_config_mdi_order(phydev);
> +	if (ret)
> +		return ret;

As I've been pointing out in other patches, putting this "defaulting"
here is not a good idea - this path gets called when the PHY is attached
to the netdev and also when the PHY is being resumed - which will wipe
out the user's configuration just because their system suspended.

I don't think that gives the user a good experience.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!